﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Viscomsoft.PDFViewer;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        private PDFView _pdfViewer = new PDFView();

        public Form1()
        {
            InitializeComponent();
            _pdfViewer.Canvas.Parent = this;

            _pdfViewer.Canvas.Location = new Point(0, 24);

        }

        private void Form1_Load(object sender, EventArgs e)
        {
            resizeCanvas();

            PDFDocument doc = new PDFDocument();

            if (doc.open("c:\\qt\\id841n.pdf"))
            {

                _pdfViewer.Document = doc;
                _pdfViewer.ContinuousPages = true;
                _pdfViewer.gotoPage(1);

            }
            else
                doc.close();


        }

        private void resizeCanvas()
        {

            _pdfViewer.Canvas.Size = new Size(this.ClientSize.Width, this.ClientSize.Height - 24);

        }

        private void Form1_Resize(object sender, EventArgs e)
        {
            resizeCanvas();
        }


    }
}
